using System;
using UnityEditor;

[TypeDrawer]
public class IntTypeDrawer : ITypeDrawer
{
    [TypeDrawer]
    public bool HandlesType(Type type, object value)
    {
        return type == typeof(int);
    }

    public object DrawAndGetNewValue(Type memberType, string memberName, object value, object target)
    {
        return EditorGUILayout.IntField(memberName, (int)value);
    }

    public void Destroy()
    {
    }
}